<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21225" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21207"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="SLRecomFriendsVc">
            <connections>
                <outlet property="tableView" destination="4Hd-tI-svx" id="D8w-NB-d0J"/>
                <outlet property="textField" destination="1lw-iM-hR8" id="aTg-0c-Y0p"/>
                <outlet property="topConst" destination="hA3-Nc-wmY" id="MEo-eD-cUc"/>
                <outlet property="view" destination="DTa-iB-OMQ" id="bPy-i7-UPy"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="DTa-iB-OMQ">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="G9H-k1-iTF">
                    <rect key="frame" x="0.0" y="100" width="390" height="56"/>
                    <subviews>
                        <textField opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="248" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="搜索" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="1lw-iM-hR8" customClass="LeftImageDesignTxtxField">
                            <rect key="frame" x="16" y="8" width="358" height="40"/>
                            <color key="backgroundColor" red="0.95294117649999999" green="0.95294117649999999" blue="0.95294117649999999" alpha="1" colorSpace="calibratedRGB"/>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" returnKeyType="search"/>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                    <integer key="value" value="20"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="image" keyPath="leftImage" value="icon_search"/>
                            </userDefinedRuntimeAttributes>
                            <connections>
                                <outlet property="delegate" destination="-1" id="T5o-GH-hav"/>
                            </connections>
                        </textField>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="1lw-iM-hR8" firstAttribute="top" secondItem="G9H-k1-iTF" secondAttribute="top" constant="8" id="4n3-Dg-vwO"/>
                        <constraint firstItem="1lw-iM-hR8" firstAttribute="leading" secondItem="G9H-k1-iTF" secondAttribute="leading" constant="16" id="6Vf-ah-xuO"/>
                        <constraint firstItem="1lw-iM-hR8" firstAttribute="centerX" secondItem="G9H-k1-iTF" secondAttribute="centerX" id="cIv-X0-5fG"/>
                        <constraint firstAttribute="height" constant="56" id="m7c-xE-gyl"/>
                        <constraint firstItem="1lw-iM-hR8" firstAttribute="centerY" secondItem="G9H-k1-iTF" secondAttribute="centerY" id="ysE-dg-u3c"/>
                    </constraints>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="6T9-CQ-vWA">
                    <rect key="frame" x="0.0" y="166" width="390" height="40"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="好友推荐" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="LNv-tN-XbQ">
                            <rect key="frame" x="16" y="10.333333333333341" width="65.333333333333329" height="19.333333333333329"/>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mbz-2e-TbV">
                            <rect key="frame" x="352" y="4" width="26" height="32"/>
                            <constraints>
                                <constraint firstAttribute="width" secondItem="mbz-2e-TbV" secondAttribute="height" multiplier="9:11" id="RfK-aE-Lcc"/>
                                <constraint firstAttribute="width" constant="26" id="Xcp-iR-qB8"/>
                            </constraints>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" image="icon_f_refresh"/>
                        </button>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="LNv-tN-XbQ" firstAttribute="centerY" secondItem="6T9-CQ-vWA" secondAttribute="centerY" id="3mk-2x-u2e"/>
                        <constraint firstAttribute="trailing" secondItem="mbz-2e-TbV" secondAttribute="trailing" constant="12" id="qk9-BB-mJp"/>
                        <constraint firstItem="LNv-tN-XbQ" firstAttribute="leading" secondItem="6T9-CQ-vWA" secondAttribute="leading" constant="16" id="swy-HU-M1m"/>
                        <constraint firstItem="mbz-2e-TbV" firstAttribute="centerY" secondItem="LNv-tN-XbQ" secondAttribute="centerY" id="uFk-nO-x0p"/>
                    </constraints>
                </view>
                <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="grouped" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="18" estimatedSectionHeaderHeight="-1" sectionFooterHeight="18" estimatedSectionFooterHeight="-1" translatesAutoresizingMaskIntoConstraints="NO" id="4Hd-tI-svx">
                    <rect key="frame" x="0.0" y="206" width="390" height="604"/>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <connections>
                        <outlet property="dataSource" destination="-1" id="MUw-zi-6hT"/>
                        <outlet property="delegate" destination="-1" id="yUj-i1-eRy"/>
                    </connections>
                </tableView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="YNg-vM-DsK"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="6T9-CQ-vWA" firstAttribute="top" secondItem="G9H-k1-iTF" secondAttribute="bottom" constant="10" id="CA7-od-gpa"/>
                <constraint firstItem="4Hd-tI-svx" firstAttribute="trailing" secondItem="YNg-vM-DsK" secondAttribute="trailing" id="JSJ-j8-bSB"/>
                <constraint firstItem="4Hd-tI-svx" firstAttribute="top" secondItem="6T9-CQ-vWA" secondAttribute="bottom" id="Le6-1u-F8u"/>
                <constraint firstItem="YNg-vM-DsK" firstAttribute="bottom" secondItem="4Hd-tI-svx" secondAttribute="bottom" id="OTE-Js-6gh"/>
                <constraint firstItem="4Hd-tI-svx" firstAttribute="leading" secondItem="YNg-vM-DsK" secondAttribute="leading" id="Umx-lj-Xzz"/>
                <constraint firstItem="G9H-k1-iTF" firstAttribute="leading" secondItem="YNg-vM-DsK" secondAttribute="leading" id="VPA-GY-hgl"/>
                <constraint firstItem="YNg-vM-DsK" firstAttribute="trailing" secondItem="6T9-CQ-vWA" secondAttribute="trailing" id="b1N-SY-k6o"/>
                <constraint firstItem="YNg-vM-DsK" firstAttribute="trailing" secondItem="G9H-k1-iTF" secondAttribute="trailing" id="ehd-gt-39H"/>
                <constraint firstItem="G9H-k1-iTF" firstAttribute="top" secondItem="DTa-iB-OMQ" secondAttribute="top" constant="100" id="hA3-Nc-wmY"/>
                <constraint firstItem="4Hd-tI-svx" firstAttribute="top" secondItem="G9H-k1-iTF" secondAttribute="bottom" constant="50" id="oAy-8W-rdh"/>
                <constraint firstItem="6T9-CQ-vWA" firstAttribute="leading" secondItem="YNg-vM-DsK" secondAttribute="leading" id="pfh-Xe-9zz"/>
            </constraints>
            <point key="canvasLocation" x="136.92307692307691" y="-1.4218009478672986"/>
        </view>
    </objects>
    <designables>
        <designable name="1lw-iM-hR8">
            <size key="intrinsicContentSize" width="72.666666666666671" height="18.666666666666668"/>
        </designable>
    </designables>
    <resources>
        <image name="icon_f_refresh" width="18.333333969116211" height="18.333333969116211"/>
        <image name="icon_search" width="24" height="24"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
